### Enumeration

# WebKit WebExtensionMode

since: 2.38

#### Declaration

    enum WebKit.WebExtensionMode

#### Description [src]

Enum values used for setting if a `WebKitWebView` is intended for WebExtensions.

Available since: 2.38

#### Members

`WEBKIT_WEB_EXTENSION_MODE_NONE`

  Not for an extension.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.38
`WEBKIT_WEB_EXTENSION_MODE_MANIFESTV2`

  For a ManifestV2 extension.

  - Value: `1`
  - Nickname: `manifestv2`
  - Available since: 2.38
`WEBKIT_WEB_EXTENSION_MODE_MANIFESTV3`

  For a ManifestV3 extension.

  - Value: `2`
  - Nickname: `manifestv3`
  - Available since: 2.38